Main Page Widgets Namespaces Book

# Pango::LayoutRun Class Reference

List of all members.

## Detailed Description

A Pango::LayoutRun represents a single run within a PangoLayoutLine.

## Public Member Functions

| LayoutRun (const PangoLayoutRun* src)
Item | get_item () const
| Gets the Pango::Item object that provides information about the segment of text in this run.
GlyphString | get_glyphs () const
| Gets the string of glyphs obtained by shaping the text for this item.
PangoLayoutRun* | gobj ()
| Provides access to the underlying C GObject.
const PangoLayoutRun* | gobj () const
| Provides access to the underlying C GObject.

## Protected Member Functions

| LayoutRun ()

## Protected Attributes

PangoLayoutRun | gobject_

## Related Functions

(Note that these are not member functions.)
Pango::LayoutRun& | wrap (PangoLayoutRun* object)
const Pango::LayoutRun& | wrap (const PangoLayoutRun* object)

## Constructor & Destructor Documentation

Pango::LayoutRun::LayoutRun | ( |  | ) | `[protected]`

Pango::LayoutRun::LayoutRun | ( | const PangoLayoutRun* | src | ) | `[explicit]`

## Member Function Documentation

GlyphString Pango::LayoutRun::get_glyphs | ( |  | ) | const

Gets the string of glyphs obtained by shaping the text for this item.

Returns:
  A Pango::GlyphString object.

Item Pango::LayoutRun::get_item | ( |  | ) | const

Gets the Pango::Item object that provides information about the segment of text in this run.

Returns:
  A Pango::Item object.

const PangoLayoutRun* Pango::LayoutRun::gobj | ( |  | ) | const`[inline]`

| Provides access to the underlying C GObject.

PangoLayoutRun* Pango::LayoutRun::gobj | ( |  | ) | `[inline]`

| Provides access to the underlying C GObject.

## Friends And Related Function Documentation

const Pango::LayoutRun& wrap | ( | const PangoLayoutRun* | object | ) | `[related]`

Pango::LayoutRun& wrap | ( | PangoLayoutRun* | object | ) | `[related]`

## Member Data Documentation

PangoLayoutRun Pango::LayoutRun::gobject_`[protected]`

The documentation for this class was generated from the following file:

- layoutrun.h